サポート&ダウンロード

日本(日本語)

日本(日本語)

よくあるご質問(Q&A)

ブラザープリンタードライバーをお使いいただく際に起こる問題や疑問を解説しています。
Q. RedHat Enterprise 7.2, Fedora 23で印刷できない。
Q. 製品名とダウンロードしたドライバーの名前が違っている。
Q. Linuxにてドライバのインストールは正常終了するが、印刷できない。

Q. Fedora 28で印刷できません。

下記を試してみてください。
   sudo dnf install policycoreutils-python-utils
その後、「Linux 簡易インストーラー」から再度ドライバーを再度インストールしてください。

Q. Linux簡易インストーラで自動設定ができない。

Linux簡易インストーラでは、最新のディストリビューションで自動設定できないケースがあります。
上記対応のため次の確認を行なって下さい。


1. Fedora, CentOS, Redhatにおいて、yumコマンドが使用できない場合には、下記パッケージをインストールしてください。

dnf-yum


2. semanageを予めインストールしてください。

yum install policycoreutils-python

もし「policycoreutils-pythonが見つからない」というようなメッセージがでる場合は
yum provides *bin/semanageにてsemanageが含まれるパッケージを探して、それをインストールしてください。


3. CentOS, Redhatをご使用の場合、64bit Linuxに対して32bitライブラリを予めインストールしてください。

例:yum install glibc.i686

Q. RedHat Enterprise 7.2, Fedora 23で印刷できない。

RedHat Enterprise 7.2, Fedora 23にてSELinuxが原因で印刷できない場合があります。
以下のコマンドをルート権限で入力してください。

[コマンド]
#restorecon -RFv /usr/lib/cups/filter/*
#setsebool -P cups_execmem 1


Q. 製品名とダウンロードしたドライバーの名前が違っている。

複数の製品で共通のドライバーを使用している製品があります。

その製品ではドライバーが代表製品の名前になっていますので、
ダウンロードのとき、印刷するときに、選択する製品名が代表製品の名前になっています。
製品名は違いますが、印刷機能は通常通りに使用できます。

製品名 ドライバー名
DCP-J132N DCP-J132N
DCP-J137N
DCP-J552N DCP-J552N
DCP-J557N
DCP-J752N DCP-J752N
DCP-J757N
DCP-J952N DCP-J952N
DCP-J957N
MFC-J870N MFC-J870N
MFC-J877N
MFC-J980DN MFC-J980DN
MFC-J987DN
MFC-J820DN MFC-J820DN
MFC-J827DN
MFC-J890DN MFC-J890DN
MFC-J897DN
MFC-J720DW MFC-J720DW
MFC-J727DW


Q. RedHat, CentOSで印刷できない。

下記に従ってSELinuxを設定してください。

予めsemanageをインストールしておけば、
http://solutions.brother.co.jp/support/os/linux/cups_printer/install_10.html
下記インストーラで自動設定します。


semanageを使用するために policycoreutils-pythonのインストールが必要です。

上記ではいらない場合はご使用の環境で
yum provides *bin/semanage
でインストールするパッケージを調査してください。

Q. Linuxにてドライバのインストールは正常終了するが、印刷できない。

以下をお試しください。

1.  ブラウザで http://localhost:631/printers を開いてください。
2.  対象のプリンタを選択してクリックしてください。
3.  connection(日本では「接続先」)の項目を確認してください。
もしその部分が usb:/dev/usb/lp0 あるいは別のプリンタを指す文字列になっていたら、以下の方法でプリンタの再設定を行ってください。
またネットワークにてご使用の場合は、上記文字列の内容にかかわらず、プリンタの再設定をしてください。
なお、お使いのLinuxのディストリビューションやバージョンによっては若干の手順や表記の相違がある場合があります。

  • USBの場合
    1. プリンタをUSBでPCに接続して電源をいれてください。
    2. 上記のページにて「administration」(日本では「管理」)メニューから「Modify Printer」(日本では「プリンターの変更」)を選んでください。
    3. 接続されているプリンタがリストされますので、「Local Printer」(日本では「ローカルプリンタ」)のなかから対象のプリンタを選んでください。
    4. 「Continue」(日本では「続ける」)をクリックしてください。
    5. 「Continue」(日本では「続ける」)をクリックしてください。
    6. 「Modify Printer」(日本では「プリンターの変更」)をクリックしてください。


  • ネットワークの場合
    1. プリンタをネットワークに接続して電源をいれてください。
    2. 上記のページにて「administration」(日本では「管理」)メニューから「Modify Printer」(日本では「プリンターの変更」)を選んでください。
    3. 接続されているプリンタがリストされますので、「Discovered Network Printers」(日本では「発見されたネットワークプリンタ」)のなかから対象のプリンタを選んでください。
      サポートされているネットワークプロトコルによって同一プリンタが複数リストアップされる場合があります。その場合は上から順にためしてみてください。
      もしプリンタがリストされない場合は「Internet Printing protocol(http)」(日本では「インターネット印刷プロトコル(http)」)を選んで「Continue」(日本では「続ける」)をクリックし、 次のページにて http://xx.xx.xx.xx (xx.xx.xx.xx の部分はプリンタのIPアドレス)と入力してください。
    4. 「Continue」(日本では「続ける」)をクリックしてください。
    5. 「Continue」(日本では(「続ける」)をクリックしてください。
    6. 「Modify Printer」(日本では「プリンターの変更」)をクリックしてください。
    7. この状態でテストプリントを行い、印刷できるか試してください。
もし印刷できない場合は、もう一度 2. から繰り返し、3. の部分で別のプリンタを選んでください。
またリストアップされたプリンタで印刷できない場合は、Internet Printing protocol(http)」(日本では「インターネット印刷プロトコル(http)」)を選びで直接IPアドレスを指定してください。
なお、Internet Printing protocol(http)」(日本では「インターネット印刷プロトコル(http)」)を選んでIPアドレスを直に指定する場合は、プリンタのIPをDHCPなどから取得せずに固定IPをご使用ください。

Q. 一部のディストリビューションにて印字位置が6mm程度右上にずれます。

一部ディストリユーションにおいて印字位置が6mm程度右上にずれる現象が確認されています。
そのような場合はターミナルウインドウを開きroot権限にて下記コマンドを実行してください。

 lpadmin -p プリンタ名 -o pdftops-renderer-default=pdftops

 例 HL-3040CNの場合: lpadmin -p HL3040CN -o pdftops-renderer-default=pdftops

2013/10/8現在でこの問題が確認されているディストリユーションは下記のとおりです。
 Ubuntu13.04
 Ubuntu13.10 (final beta)

Q. モノクロレーザープリンターで印字すると印字位置がずれます。

/usr/local/Brother/lpd/filter[機種名] のファイルをテキストエディッタにて開き、
「PCL=1」の行を「PCL=0」に変更してください。

この処理にはroot権限が必要です。


対象機種:
DCP-7060D, DCP-7065DN, FAX-7860DW, HL-2130, HL-2240D, HL-2270DW, HL-5340D, HL-5350DN, HL-5380DN, MFC-7460DN, MFC-8890DW

Q. 同一ドライバーに複数のプリンターを登録した場合、印刷設定の設定内容で印刷できないことがあります。

次のように、プリンタードライバーにパッチを当ててください。
ここでは、HL-5350DN の場合を例に説明します。他のモデルの場合は、この部分を読み換えてください。
1.  「簡易インストール」のページの「ツールの使用方法」に従ってプリンタードライバーをインストールしてください。
2.  パッチプログラムをダウンロードしてください。
 ダウンロード
3.  ダウンロードしたパッチプログラムを解凍してください。
   tar zxf brlcupspatch1_1.0.2-1.tar.gz
4.  パッチプログラムを実行してパッチを当ててください。
   brlcupspatch1/setup HL5350DN
※上記 HL5350DN の部分は、http://localhost:631/printers にリストされるプリンタ名を使用してください。HL-5350DN ではなく「-」のない HL5350DN となりますのでご注意ください。
5.  http://localhost:631/admin から「プリンターの追加」にて、任意の名前でインストールしてください。
   例)"lp_A4"、"lp_A5"
モデルの選択画面で、"Brother HL5350DN for CUPS (en)"を選択してください。Foomatic あるいは Gutenprint と書かれたものがリストされることがありますが、それらではありませんのでご注意ください。
または、直接PPD(/usr/share/ppd/HL5350DN.ppd)を指定してください。
6.  http://localhost:631/printers から "lp_A4"、"lp_A5" のプリンタオプションを個別に変更することができます。

Q. 印刷時に大きな文字のかたちが崩れます。

libfreetype6のバージョンによっては大きな文字の印字が崩れることがあります。
そのディストリビューションのレポジトリにlibfreetype6のアップデートがあるかを確認し、ある場合はアップデートしてください。

Q. Ubuntu 12.04 にて印刷すると印刷画質が悪くなります。

1.  /etc/cups/ppd/(プリンタ名).ppd というファイルをテキストエディターで開いてください。
プリンタ名に「-」は不要です。
例)
 MFC-J6910CDWの場合
  /etc/cups/ppd/ MFCJ6910CDW.ppd
 MFC-J615Nの場合
  /etc/cups/ppd/MFCJ615N.ppd
 MFC-9840CDWの場合
  /etc/cups/ppd/MFC9840CDW.ppd
2.  上記ファイルから
 *FreeVM: "1700000"
という行を探してください。
3.  上記行の下に下記の行を追加してください。
 *DefaultResolution: 600dpi
修正前
 *FreeVM: "1700000"
修正後
 *FreeVM: "1700000"
 *DefaultResolution: 600dpi
4.  下記を実行してください。
  service cups restart
5.  「プリンタの変更」などの処理を今後行う場合は、
/usr/share/ppd のディレクトリーの下に、ファイル名の一部にプリンタ名を含むPPDファイルがありますので、そのファイルも同様に編集してください。
例:
 /usr/share/ppd/brmfcj6910cdw.ppd
 /usr/share/ppd/Brother/brother_mfcj615w_en.ppd
 /usr/share/ppd/brmfc9840cdw.pps

Q. プリンタードライバーの設定で片面印刷を指定しているのに、両面印刷となります。

プリンター本体の両面印刷設定がオンになっていると、Linux ドライバー設定にて両面印刷がオフになっていても両面印刷される場合があります。パネル操作、リモートプリンターコンソール、ウェブブラウザーなどを使用して両面印刷をオフにしてください(ウェブブラウザーで設定する場合は、「http://」のあとに、お使いの複合機の IPアドレス または ノード名、DNS 名を入力し、プリントサーバー設定画面を表示させます)。
本体の両面印刷がオフになっていても、ドライバー設定にて両面印刷をオンにすれば両面印刷されます。

Q. Ubuntu 12.04 にて印字すると印字位置がずれます。

Ubuntu 12.04 の下記アプリケーションにて印字位置がずれることが確認されています。
 CUPS テストプリント
 Document Viewer
 GIMP

アップデートマネージャにて印刷関連ファイルを最新にアップデートすることにより解消されます。

Q. PostScript データーがテキストで印刷されます。または印刷できません。

一部のディストリビューションで、PostScript データーがテキストで印刷されることがあります。 その場合は、次のようにご対応ください。
1.  下記の Q&A を参照して、SELinux の無効化、もしくは SELinux の設定を実施してください。
> SELinux が動作しているディストリビューション(例:Fedora)でインストールまたは印刷ができません。
2.  ディストリビューションのアップデートで改善される可能性がありますので、ディストリビューションをアップデート後、もう一度印刷をお試しください。
改善しない場合は、回避方法として以下の手順を行ってください。
3.  下記のコマンドを実行して ”filter(プリンタ名)” のファイルを探してください。
   ls /usr/local/Brother/lpd/filter*
   ls /usr/local/Brother/Printer/*/lpd/filter*
   ls /opt/brother/Printers/*/lpd/filter*
ひとつのドライバに対して、ひとつの”filter(プリンタ名)”ファイルがあります。
どのディレクトリにあるかは機種によって異なります。
”(プリンタ名)”の大文字/小文字については機種によってことなります。
4.  見つかったすべてのファイルをテキストエディタで開き、
   ”FILE_TYPE=`file $INPUT ・・・”で始まる行を探してください。
5.  その行を、下記の通り変更します(変更前の”filter(プリンタ名)”のファイルはあらかじめバックアップをとっておくことをお勧めします)。
   FILE_TYPE=PostScript
大文字小文字は区別されますので、大文字小文字を含めて正確に変更してください。

Q. Ubuntu11.4(64bit)でモノクロレーザープリンターのプリンタードライバーがインストールできません。

次のように、プリンタードライバーのパッケージにパッチを当てて、プリンタードライバーを再インストールしてください。
1.  パッチプログラムをダウンロードしてください。
2.  ダウンロードしたファイルを解凍して、brdpkgdeldep を取り出してください。
   gunzip brdpkgdeldep.gz
3.  LPD 用ドライバーおよび CUPS 用ドライバーのパッケージを brdpkgdeldep と同じディレクトリーに置いてください。
4.  下記を実行してください。
   sudo bash brdpkgdeldep LPD用ドライバーパッケージ
   sudo bash brdpkgdeldep CUPS用ドライバーパッケージ
ドライバーのリリース番号の後に「a」が付加されたファイルができます。
例)hl2270dwlpr-2.0.1-1a.i386.deb
5.  この新たに生成されたパッケージを、「LPD/LPRng 用プリンタードライバーのインストール方法」と「CUPS 用プリンタードライバーのインストール方法」のページに従ってインストールしてください。

Q. 日医標準レセプトソフト(ORCA プロジェクト)にインストールする方法を教えてください。

日本語 BrScript 対応プリンタの場合:
ORCA のマニュアルに従ってインストールしてください。

日本語 BrScript 非対応プリンタの場合:
日医標準レセプトソフトでは、書類に応じて複数のプリンタを登録できます。
次に従って、複数のプリンターを設定してください。

1.  次の Q&A に従って、プリンタードライバーにパッチを当ててください。
> 同一ドライバーに複数のプリンターを登録した場合、印刷設定の設定内容で印刷できないことがあります。
2.  ORCAソフトのプリンタ設定画面にて、1 で設定した名前("lp_A4"、"lp_A5")を用途に応じて選択してください。

Q. openSUSE11.3 にて印刷すると印刷結果が右にずれたようになります。または印刷できません。


1.  下記のコマンドを実行して psconvert で始まるファイル名のファイルを探してください。
ls /usr/local/Brother/lpd/psconvert*
ls /usr/local/Brother/Printer/*/lpd/psconvert*
ls /opt/brother/Printers/*/lpd/psconvert*
2.  見つかったすべてのファイルをテキストエディタで開き、"GHOST_OPT="で始まる行を探してください。
その行の、
  "-sOutputFile"
と書かれた部分の前に"-sstdout=%stderr "を挿入して上書き保存してください。
(変更前のpsconvert*のファイルはあらかじめバックアップをとっておくことをお勧めします)
たとえば
GHOST_OPT="-q -dNOPROMPT -dNOPAUSE -dSAFER -sDEVICE=$OUTPUT_TYPE -sOutputFile=- - -c quit"
という行があった場合、
GHOST_OPT="-q -dNOPROMPT -dNOPAUSE -dSAFER -sDEVICE=$OUTPUT_TYPE -sstdout=%stderr -sOutputFile=- - -c quit"
のように変更します。
("stderr"と"-sOutputFile"の間にはスペースが入りますのでご注意ください)
上記の処理を自動的に実行するスクリプトを用意しました。
【使用方法】
1.  ツールをダウンロードしてください。
2.  ターミナルソフト (GNOME Terminal、Konsole 等)を起動してください。
Ubuntu の場合は、アプリケーション → アクセサリ → 端末 で起動します。
3.  1. でツールをダウンロードしたディレクトリーに移動してください。
  例: cd /home/LOGINNAME/Download
  (ダウンロード先ディレクトリーに関しては、環境毎に異なります)
4.  ツールを展開してください。
   gunzip brother_patch_psconv.gz
5.  次のように実行してください。
   bash brother_patch_psconv

Q. Ubuntu 10.04 以降で使用できますか?

通常のインストール手順および、FAQ に書かれた Ubuntu 9.10 と同等の対応をすることにより印刷できます。
「簡易インストール」をご使用いただきますと簡単にインストールが行えます。
下記機種では、ドライバーをインストールする前に csh または tcsh をインストールする必要があります。
MFC-3420J、MFC-3820JN、DCP-110C、MFC-410CN、MFC-5840CN、MFC-610CLN/CLWN、MFC-620CLN

Q. 日本語フォントが文字化けします。

日本語 Postscript を使用する一部アプリケーションでは Ghostscript が日本語フォントを認識できていない場合に文字化けすることがあります。
本現象発生時は、Ghostscript のドキュメントを参照してください。
Ubuntu 10.04 LTS Desktop 日本語 Remix では下記をインストールすることで日本語を印刷できます。
  gs-cjk-resource
  cmap-adobe-japan1
  ttf-kochi-gothic,
  ttf-kochi-mincho
  psfontmgr
  defoma

Q. SuSE 11.2 にてモノクロレーザープリンターで印刷できません。

Linux 標準プログラムの Ghostscript にて bit フォーマットへの変換ができないようです。 SuSE コミュニティより提供の Ghostscript アップデートを適用してください。

Q. 印刷できません。インストール時に「lpadmin: PPD ファイルをコピーできません!」(または「cp: `/usr/share/cups/model/XXXXX.ppd' を stat できません: No such file or directory」)というエラーが表示されました。

インストール前に「/usr/share/cups/model」フォルダを手動で作成してください。
すでにドライバーがインストールされている場合、一度ドライバーをアンインストールし、上記フォルダを作成した後に再度インストールを実施してください。

Q. 64 bit バージョンのディストリビューションで使用できますか?

64bitバージョンのディストリビューションにおいても、32bit用プリンタードライバーがご利用になれますが、以下の手順でのインストールが必要です。
[rpm パッケージを使用するディストリビューション]
1. 32bitライブラリが標準で搭載されていないディストリビューションについては、32bit用ライブラリをインストールしてください。(例:Fedora 10 以降ではglibc.i686のインストールが必要です。)
(nss-softokn-freebl.i686も依存関係のため必要になります)
2. LPD/LPRng 用ドライバー、CUPS 用ドライバーをインストールしてください。
3.「/usr/lib64」フォルダが存在する場合、「/usr/lib64/cups/filter」フォルダ以下を確認し、「br(プリンタ名)filter」というファイルが存在するかどうかを確認してください。存在しない場合は「/usr/lib/cups/filter」フォルダからコピーしてください。
4.「http://localhost:631/printers」からプリンターの設定を実施してください。
[deb パッケージを使用するディストリビューション]
1. 32bitライブラリが標準で搭載されていないディストリビューションについては、32bit用ライブラリをインストールしてください。(例:Debianの場合はlib32stdc++6、Ubuntuの場合はia32-libsのインストールが必要です。)
2. --force-architecture オプションを使用して LPD/LPRngドライバー、CUPS 用ドライバーをインストールしてください。
3.「/usr/lib64」フォルダが存在する場合、「/usr/lib64/cups/filter」フォルダ以下を確認し、「br(プリンタ名)filter」というファイルが存在するかどうかを確認してください。存在しない場合は「/usr/lib/cups/filter」フォルダからコピーしてください。
4.「http://localhost:631/printers」からプリンターの設定を実施してください。

Q. LPD/LPRng 用ドライバーをインストールする際、LPD が存在しない旨の表示がでてインストールに失敗してしまいます。

下記を試してみてください。
   ln -s /bin/echo /etc/init.d/lpd
インストールのあと、このリンクは削除してください。

Q. CUPS 用ドライバーをインストールする際に、CUPS が存在しない旨の表示が出て、インストールに失敗してしまいます。

下記を試してみてください。
   ln -s /bin/echo /etc/init.d/cups
インストールのあと、このリンクは削除してください。

Q. SELinuxが動作しているディストリビューション(例:Fedora)でインストールまたは印刷ができません。

SELinuxの無効化、もしくはSELinuxの設定を実施してください。

Q. ブラザーの複数機種のドライバーをインストールすると、インストール時にエラーになります。

rpm/dpkgの上書きオプションを指定してください。
rpmの場合: rpm -ihv --force xxxxxxx.rpm
dpkgの場合: dpkg -i --force-overwrite xxxxxxx.deb

Q. FreeBSD で使用できるドライバーはないですか?

FreeBSDはサポートしていません。
ポストスクリプト/PCLを搭載している製品は、汎用のポストスクリプト/PCL ドライバーが使用できます。

Q. GIMPから印刷ができません。

GIMPの「Setup Printer」の「Command」の欄を確認してください。
"lp -s -dXXXXX -oraw"および類似の内容で記載されていた場合、"lpr -P XXXXX"に変更してください(XXXXX は機種名)。

Q. プリンタードライバーのインストールがうまくいきません。
  どのドライバーをインストールすればよいか分かりません。

「簡易インストール」のページに従ってインストールしてください。

Q. Ubuntu でスーパーユーザーになる方法がわかりません。

次のコマンドで切り替えてください。
   sudo su

Q. FireFox または OpenOffice から印刷しようとすると、「データが残っています」と本体に表示されます。

印刷設定に矛盾が無いか、印刷ダイアログボックスで設定を確認してください。矛盾がある箇所は、設定値の横に警告アイコンが表示されます。
例)印刷品質が標準の場合、インクジェット紙には印刷できません。
  

Q. テキストファイルを編集して保存しようとするとエラーになってしまいます。

スーパーユーザー権限でテキストファイルを開いてください。
例: 「su」コマンドでスーパーユーザー権限を取得し、「gedit ファイル名」を実行します。
例: 「gksudo gedit ファイル名」を実行します。

Q. 印刷位置が上下左右にずれてしまいます。

間違った用紙サイズが設定されると上下左右のマージンがずれることがあります。
下記をご確認ください。
1.  OpenOffice をお使いの場合、「書式」->「ページ」で印刷する用紙サイズに変更してください(「ファイル」-「印刷」、プリンタの「プロパティー」の用紙サイズと異なっていることがあります)。
2.  CUPS Web 管理サイトのプリンターページ(http://localhost:631/printers)で用紙サイズを変更してください。

Q. AppArmor(セキュリティソフト)を使っていますが、印刷できません(Ubuntu, openSUSE)。

次のコマンドで AppArmor の cups の設定を complain モードに変更してください(スーパーユーザー権限が必要です)。
   aa-complain cupsd

Q. クライアント PC からプリントサーバーのプリンターに印刷できません。

プリントサーバーにファイアーウォールがインストールされていると印刷できないことがあります。使用中のサービスによって、次のようにポートを開いてください。
LPRng の場合: TCP port 515 (LPD)
CUPS の場合: TCP,UDP port 631 (IPP)
Samba/CIFS の場合: TCP,UDP ports 137-139 and 445 (NetBIOS and SMB)
ファイアーウォールの設定はディストリビューションによって異なりますので、他の情報につきましては各ディストリビューションのドキュメントを参照ください。

Q. アプリケーションソフトを使わずに(LPD のみをご使用の場合)レターサイズの用紙に印刷したいのですが、マージンがずれてしまいます。

「/usr/local/brother/Printer/xxxxx/lpd/filterxxxxx」ファイルの中の 1 行を次のように変更してください(xxxxx は機種名)。
※CUPS をご使用の場合は、この変更を行わないでください。
 変更前: A2PS_OPT="--output=- ..."
 変更後: A2PS_OPT="--medium=Letter --output=- ..."

Q. Gentoo Linux で「 Filter "brlpdwrapperXXXXX" for printer "XXXXX" not available: No such file or directory」というエラーメッセージが表示されます(XXXXX は機種名)。

次のようにシンボリックリンクを作成してください(改行しないで入力してください)。
ln -s /usr/lib/cups/filter/brlpdwrapperXXXXX
       /usr/libexec/cups/filter/brlpdwrapperXXXXX
XXXXX は機種名

Q. OpenOffice で印刷しようとしても用紙サイズが表示されません。

「/etc/cups/ppd/xxxxx.ppd」(ppd ファイル)の中の PageSize の行に、次のように " " を追加してください(xxxxx は機種名)。
例:
*OpenUI *PageSize: PickOne
*OrderDependency: 30 AnySetup *PageSize
*DefaultPageSize: A4
*PageSize Letter/Letter: "                    "
*PageSize Legal/Legal: "                    "
*PageSize Executive/Executive: "                    "
*PageSize A4/A4: "                    "
*PageSize A5/A5: "                    "
*PageSize A6/A6: "                    "
*PageSize Env10/Com-10: "                    "
*PageSize EnvMonarch/Monarch: "                    "
*PageSize EnvDL/DL: "                    "
*PageSize EnvC5/C5: "                    "
*PageSize EnvISOB5/B5: "                    "
*PageSize EnvISOB6/B6: "                    "
*CloseUI: *PageSize
追加後、CUPS システムを再起動してください。

Q. OpenOffice で複数部数印刷しようとしても 1 部しか印刷されません。

「部単位で印刷」のチェックボックスにチェックを入れてください。

Q. Debian 系のディストリビューション(例:Ubuntu, Kubuntu 等)で CUPS 用ドライバーをインストール中、「/usr/local/Brother/cupswrapper/cupswrapperXXXX: No such file or directory」というエラーが表示されます。

「簡易インストール」を使ってインストールしてください。
インストールできない場合は、次をお試しください。
1.  次のように CUPS 用ドライバーをアンインストールしてください。
1-1.  次のファイルの「lpadmin」の行をコメントアウトしてください。
/var/lib/dpkg/info/cupswrapperXXXX.prerm
/var/lib/dpkg/info/cupswrepperXXXX.postinst
(XXXX は機種名)。
1-2.  CUPS 用ドライバーをアンインストールしてください。
dpkg -r cuprwrapperXXXX
dpkg --purge cupswrapperXXXX
2.  次のようにパッケージを変更してください。
2-1.  パッケージをアンパックしてください。
dpkg --unpack cupswrapperXXXX.x.x.x-x.dpkg
2-2.  「/usr/local/Brother/cupswrapper/cupswrapperXXXXX」をエディターで開いてください。
2-3.  「lpadmin -p XXXXXX -E -v .......」の行を探し、その行を次のように変更してください。
・"-m" を "-P" に変更してください。
・PPD ファイルの指定をフルパス(/usr/share/cups/model/xxxx.ppd)で記述してください。
例:(改行しないで入力してください)
変更前: lpadmin -p MFC9420CN -E -v usb:/dev/usb/lp0
                  -m brmfc9420cn.ppd
変更後: lpadmin -p MFC9420CN -E -v usb:/dev/usb/lp0
                  -P /usr/share/cups/model/brmfc9420cn.ppd
*Debian をお使いで、lpadmin がない場合は、lpadmin に参照している行を全て削除してください。
3.  次のようにインストールスクリプトを実行してください。
dpkg --configure cupswrapperXXXX.x.x.x-x.dpkg
*lpadminの行を削除した場合は、「CUPS Web 管理サイトのプリンターページ(http://localhost:631/printers)でプリンターを追加後、インストールスクリプトを実行してください。

Q. Ubuntu で CUPS Web 管理サイト(http://localhost:631)にアクセスできません。

次の Ubuntu サポートページを参照してください。
https://help.ubuntu.com/community/PrintingCupsWebInterface

Q. CUPS 1.2 以降で印刷できません。

次のように設定してください。
1.  CUPS Web 管理サイトのプリンターページ(http://localhost:631/printers)でプリンターを選択してください。
2.  「管理」->「プリンターの変更」を選択してください。
3.  「ローカルプリンター」でポートを選択し、「続ける」->「続ける」をクリックしてください。
4.  「メーカー」を「Brother」、「モデル」を「Brother XXXXXX CUPS」を選択し、「プリンターの変更」をクリックしてください。

Q. 全ての印刷ジョブが中止され、何も印刷できません。(1)

ドライバーが正常にインストールされていない可能性があります。次のように一時的にシンボリックリンクを作成後、ドライバーを再インストールしてください。

rpm ユーザーの場合:
ln -s /bin/echo /etc/init.d/lpd

dpkg ユーザーの場合:
ln -s /bin/echo /etc/init.d/lpd

Q. 全ての印刷ジョブが中止され、何も印刷できません。(2)

Q. 使用しているディストリビューションが、rpm 形式と deb 形式をサポートしていません。

rpm 形式と deb 形式を扱えるディストリビューション(例:KNOPPIX)で、「alien」コマンドを使って tgz 形式に変換してください。
「alien」コマンドが無いディストリビューションは、下記から「alien」をダウンロードできます。
   http://www.kitenet.net/programs/alien/
rpm -> tgz 変換: alien -t -c hoge.rpm
deb -> tgz 変換: alien -t -c hoge.deb

注意事項

Linuxディストリビューションに含まれているブラザードライバーに関してのご質問は、Linuxディストリビューション供給元にお問い合わせください。